%?mingw_package_header

# first two digits of version
%global release_version %(echo %{version} | awk -F. '{print $1"."$2}')

Name:		mingw-libsoup
Version:	2.52.2
Release:	%mkrel 1
Summary:	MinGW library for HTTP and XML-RPC functionality

License:	LGPLv2
Group:		Development/Other
URL:		http://live.gnome.org/LibSoup
Source0:	http://download.gnome.org/sources/libsoup/%{release_version}/libsoup-%{version}.tar.xz

BuildArch:	noarch

BuildRequires:	mingw32-filesystem >= 95
BuildRequires:	mingw32-gcc
BuildRequires:	mingw32-binutils
BuildRequires:	mingw32-glib2
BuildRequires:	mingw32-libxml2
BuildRequires:	mingw32-sqlite

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-glib2
BuildRequires:  mingw64-libxml2
BuildRequires:  mingw64-sqlite

# For glib-genmarshal
BuildRequires:	glib2-devel
BuildRequires:	intltool


%description
Libsoup is an HTTP library implementation in C. It was originally part
of a SOAP (Simple Object Access Protocol) implementation called Soup, but
the SOAP and non-SOAP parts have now been split into separate packages.
 
libsoup uses the Glib main loop and is designed to work well with GTK
applications. This enables GNOME applications to access HTTP servers
on the network in a completely asynchronous fashion, very similar to
the Gtk+ programming model (a synchronous operation mode is also
supported for those who want it).

This is the MinGW build of Libsoup


# Win32
%package -n mingw32-libsoup
Summary:	MinGW library for HTTP and XML-RPC functionality
Requires:       pkgconfig
Requires:       mingw32-glib-networking

%description -n mingw32-libsoup
Libsoup is an HTTP library implementation in C. It was originally part
of a SOAP (Simple Object Access Protocol) implementation called Soup, but
the SOAP and non-SOAP parts have now been split into separate packages.

libsoup uses the Glib main loop and is designed to work well with GTK
applications. This enables GNOME applications to access HTTP servers
on the network in a completely asynchronous fashion, very similar to
the Gtk+ programming model (a synchronous operation mode is also
supported for those who want it).

This is the MinGW build of Libsoup

%package -n mingw32-libsoup-static
Summary:	Static version of the MinGW Windows Libsoup library
Requires:	mingw32-libsoup = %{version}-%{release}
Group:		Development/Other

%description -n mingw32-libsoup-static
Static version of the MinGW Windows Libsoup library.

# Win64
%package -n mingw64-libsoup
Summary:        MinGW library for HTTP and XML-RPC functionality
Requires:       pkgconfig
Requires:       mingw64-glib-networking

%description -n mingw64-libsoup
Libsoup is an HTTP library implementation in C. It was originally part
of a SOAP (Simple Object Access Protocol) implementation called Soup, but
the SOAP and non-SOAP parts have now been split into separate packages.

libsoup uses the Glib main loop and is designed to work well with GTK
applications. This enables GNOME applications to access HTTP servers
on the network in a completely asynchronous fashion, very similar to
the Gtk+ programming model (a synchronous operation mode is also
supported for those who want it).

This is the MinGW build of Libsoup

%package -n mingw64-libsoup-static
Summary:        Static version of the MinGW Windows Libsoup library
Requires:       mingw64-libsoup = %{version}-%{release}
Group:          Development/Other

%description -n mingw64-libsoup-static
Static version of the MinGW Windows Libsoup library.


%?mingw_debug_package


%prep
%setup -q -n libsoup-%{version}


%build
# Workaround for intltool bug #398571 which causes translations to go to
# %%{mingw32_libdir}/locale instead of %%{mingw32_datadir}/locale
export DATADIRNAME=share

# Libsoup can't build static and shared libraries in one go, so we build the package twice here
export CFLAGS="-DGLIB_STATIC_COMPILATION -DGOBJECT_STATIC_COMPILATION -DLIBXML_STATIC'"
MINGW_BUILDDIR_SUFFIX=static %mingw_configure --with-gnome --without-apache-httpd --disable-vala --enable-static --disable-shared
unset CFLAGS
MINGW_BUILDDIR_SUFFIX=shared %mingw_configure --with-gnome --without-apache-httpd --disable-vala --disable-static --enable-shared

MINGW_BUILDDIR_SUFFIX=static %mingw_make %{?_smp_mflags}
MINGW_BUILDDIR_SUFFIX=shared %mingw_make %{?_smp_mflags}


%install
# First install all the files belonging to the shared build
MINGW_BUILDDIR_SUFFIX=shared %mingw_make install DESTDIR=$RPM_BUILD_ROOT

# Install all the files from the static build in a seperate folder
# and move the static libraries to the right location
MINGW_BUILDDIR_SUFFIX=static %mingw_make install DESTDIR=$RPM_BUILD_ROOT/build_static
mv $RPM_BUILD_ROOT/build_static%{mingw32_libdir}/*.a $RPM_BUILD_ROOT%{mingw32_libdir}
mv $RPM_BUILD_ROOT/build_static%{mingw64_libdir}/*.a $RPM_BUILD_ROOT%{mingw64_libdir}

# Remove the .la files
rm -f $RPM_BUILD_ROOT%{mingw32_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{mingw64_libdir}/*.la

# Drop the folder which was temporary used for installing the static bits
rm -rf $RPM_BUILD_ROOT/build_static

# Strip all the GTK-Doc
rm -rf $RPM_BUILD_ROOT%{mingw32_datadir}/gtk-doc
rm -rf $RPM_BUILD_ROOT%{mingw64_datadir}/gtk-doc

%mingw_find_lang libsoup


# Win32
%files -n mingw32-libsoup -f mingw32-libsoup.lang
%license COPYING
%{mingw32_bindir}/libsoup-2.4-1.dll
%{mingw32_bindir}/libsoup-gnome-2.4-1.dll
%{mingw32_includedir}/libsoup-2.4
%{mingw32_includedir}/libsoup-gnome-2.4
%{mingw32_libdir}/libsoup-2.4.dll.a
%{mingw32_libdir}/libsoup-gnome-2.4.dll.a
%{mingw32_libdir}/pkgconfig/libsoup-2.4.pc
%{mingw32_libdir}/pkgconfig/libsoup-gnome-2.4.pc

%files -n mingw32-libsoup-static
%{mingw32_libdir}/libsoup-2.4.a
%{mingw32_libdir}/libsoup-gnome-2.4.a

# Win64
%files -n mingw64-libsoup -f mingw64-libsoup.lang
%license COPYING
%{mingw64_bindir}/libsoup-2.4-1.dll
%{mingw64_bindir}/libsoup-gnome-2.4-1.dll
%{mingw64_includedir}/libsoup-2.4
%{mingw64_includedir}/libsoup-gnome-2.4
%{mingw64_libdir}/libsoup-2.4.dll.a
%{mingw64_libdir}/libsoup-gnome-2.4.dll.a
%{mingw64_libdir}/pkgconfig/libsoup-2.4.pc
%{mingw64_libdir}/pkgconfig/libsoup-gnome-2.4.pc

%files -n mingw64-libsoup-static
%{mingw64_libdir}/libsoup-2.4.a
%{mingw64_libdir}/libsoup-gnome-2.4.a




%changelog
* Wed May 11 2016 tv <tv> 2.52.2-1.mga6
+ Revision: 1012716
- new release

* Thu Feb 18 2016 umeabot <umeabot> 2.48.1-2.mga6
+ Revision: 965621
- Mageia 6 Mass Rebuild

* Sat Jun 20 2015 ovitters <ovitters> 2.48.1-1.mga6
+ Revision: 836366
- new version 2.48.1
- new version 2.47.92
- new version 2.47.4
- new version 2.47.3

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Thu May 29 2014 ovitters <ovitters> 2.46.0-1.mga5
+ Revision: 627621
- new version 2.46.0

* Wed Feb 05 2014 ovitters <ovitters> 2.44.2-1.mga5
+ Revision: 582770
- new version 2.44.2

* Sat Nov 09 2013 ovitters <ovitters> 2.43.90-2.mga4
+ Revision: 550189
- fix url

* Sun Oct 27 2013 neoclust <neoclust> 2.43.90-1.mga4
+ Revision: 547394
- imported package mingw-libsoup

